Bug 732273 - traceback on update of package that doesn't exist
Summary: traceback on update of package that doesn't exist
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-21 13:37 UTC by darrell pfeifer
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 23:54:44 UTC


Attachments (Terms of Use)

Description darrell pfeifer 2011-08-21 13:37:10 UTC
Description of problem:

yum update xyzzy
Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Update Process
No Match for argument: xyzzy
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 315, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 140, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 479, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 401, in doCommand
    return base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))
  File "/usr/share/yum-cli/cli.py", line 873, in updatePkgs
    self._checkMaybeYouMeant(arg)
NameError: global name 'arg' is not defined


Version-Release number of selected component (if applicable):

3.4.3-7.fc17

Comment 1 darrell pfeifer 2011-08-22 23:54:44 UTC
fixed in 3.4.3-8


Note You need to log in before you can comment on or make changes to this bug.